* apps/statues/test.in: Split into...
* apps/statues/test-mesh-segm.in,
* apps/statues/test-mesh-complex-segm.in:
...these (new) files.
* apps/statues/Makefile.am (TESTS): Adjust.
---
milena/ChangeLog | 10 ++++++++++
milena/apps/statues/Makefile.am | 2 +-
milena/apps/statues/test-mesh-complex-segm.in | 9 +++++++++
milena/apps/statues/test-mesh-segm.in | 9 +++++++++
milena/apps/statues/test.in | 13 -------------
5 files changed, 29 insertions(+), 14 deletions(-)
create mode 100644 milena/apps/statues/test-mesh-complex-segm.in
create mode 100755 milena/apps/statues/test-mesh-segm.in
delete mode 100755 milena/apps/statues/test.in
diff --git a/milena/ChangeLog b/milena/ChangeLog
index 4aaf4dc..10acf7f 100644
--- a/milena/ChangeLog
+++ b/milena/ChangeLog
@@ -1,3 +1,13 @@
+2008-12-30 Roland Levillain <roland(a)lrde.epita.fr>
+
+ Reorganize tests in apps/statues/.
+
+ * apps/statues/test.in: Split into...
+ * apps/statues/test-mesh-segm.in,
+ * apps/statues/test-mesh-complex-segm.in:
+ ...these (new) files.
+ * apps/statues/Makefile.am (TESTS): Adjust.
+
2008-12-30 Thierry Geraud <thierry.geraud(a)lrde.epita.fr>
Fix warnings due to g++ -Wconversion option.
diff --git a/milena/apps/statues/Makefile.am b/milena/apps/statues/Makefile.am
index d1e65f7..c38cfa8 100644
--- a/milena/apps/statues/Makefile.am
+++ b/milena/apps/statues/Makefile.am
@@ -61,4 +61,4 @@ bin_PROGRAMS += mesh-complex-segm
mesh_complex_segm_SOURCES = mesh-complex-segm.cc
-TESTS = test
+TESTS = test-mesh-segm test-mesh-complex-segm
diff --git a/milena/apps/statues/test-mesh-complex-segm.in
b/milena/apps/statues/test-mesh-complex-segm.in
new file mode 100644
index 0000000..05a28ca
--- /dev/null
+++ b/milena/apps/statues/test-mesh-complex-segm.in
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+set -ex
+
+mesh_dir=@top_srcdir@/milena/mesh
+
+time ./mesh-complex-segm $mesh_dir/socket-max-curv.off 25 socket-max-curv-segm.off
+time ./mesh-complex-segm $mesh_dir/teapot-max-curv.off 50 teapot-max-curv-segm.off
+time ./mesh-complex-segm $mesh_dir/bunny-holefilled-pinv-curv.off 500
bunny-holefilled-pinv-curv-segm.off
diff --git a/milena/apps/statues/test-mesh-segm.in
b/milena/apps/statues/test-mesh-segm.in
new file mode 100755
index 0000000..181a1fd
--- /dev/null
+++ b/milena/apps/statues/test-mesh-segm.in
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+set -ex
+
+mesh_dir=@top_srcdir@/milena/mesh
+
+time ./mesh-segm $mesh_dir/socket.off 25 socket-segm.off
+time ./mesh-segm $mesh_dir/teapot.off 50 teapot-segm.off
+time ./mesh-segm $mesh_dir/bunny-holefilled.off 500 bunny-holefilled-segm.off
diff --git a/milena/apps/statues/test.in b/milena/apps/statues/test.in
deleted file mode 100755
index 92c9d31..0000000
--- a/milena/apps/statues/test.in
+++ /dev/null
@@ -1,13 +0,0 @@
-#! /bin/sh
-
-set -ex
-
-mesh_dir=@top_srcdir@/milena/mesh
-
-time ./mesh-segm $mesh_dir/socket.off 25 socket-segm.off
-time ./mesh-segm $mesh_dir/teapot.off 50 teapot-segm.off
-time ./mesh-segm $mesh_dir/bunny-holefilled.off 500 bunny-holefilled-segm.off
-
-time ./mesh-complex-segm $mesh_dir/socket-max-curv.off 25 socket-max-curv-segm.off
-time ./mesh-complex-segm $mesh_dir/teapot-max-curv.off 50 teapot-max-curv-segm.off
-time ./mesh-complex-segm $mesh_dir/bunny-holefilled-pinv-curv.off 500
bunny-holefilled-pinv-curv-segm.off
--
1.6.0.4
Show replies by date